CustomersCustomer
Set default address
Marks one of the customer's saved addresses as the default. The previous default is cleared in the same operation.
POST
/v1/customer/addresses/{addressId}/defaultMarks one of the customer's saved addresses as the default. The previous default is cleared in the same operation.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Path Parameters
addressId*string
Header Parameters
x-Store-Domain*string
Store slug or configured domain that selects the store context at the central Storefront gateway.
Length
1 <= length <= 253Response Body
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/v1/customer/addresses/7204558912004325301/default" \ -H "Authorization: Bearer <token>" \ -H "x-Store-Domain: my-store"Empty